package com.qmth.cqb.paper.service.export;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

import javax.servlet.http.HttpServletResponse;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.qmth.cqb.utils.word.DocxProcessUtil;

@Service("dzkdExportPaperService")
public class DzkdExportPaperService extends ExportPaperAbstractService{
	
    @Autowired
    ExportPaperService exportPaperService;
    
    /**
     * 下载试卷
     * @param id
     */
    @Override
    public void downloadPaper(String id, HttpServletResponse response) throws Exception {
        Map<String,Object> dataMap = initExportPaper(id);
        List<String> fileList = new ArrayList<String>();
        if (dataMap.get("fileName") != null) {
            String paperfileName = (String) dataMap.get("fileName");
            String answerFileName = paperfileName+"__答案";
            DocxProcessUtil.exportPaper(dataMap, paperfileName,DZKD_TEMPLATE_PAPER);
            DocxProcessUtil.exportAnswer(dataMap,answerFileName,DZKD_TEMPLATE_ANSWER);
            DocxProcessUtil.processImage(paperfileName, exportPaperService.getPkgList(id));
            DocxProcessUtil.processImage(answerFileName, exportPaperService.getPkgList(id));
            fileList.add(paperfileName);
            fileList.add(answerFileName);
            DocxProcessUtil.processDownload(fileList, response);
        }
    }

}
