package com.qmth.cqb.paper.web;

import cn.com.qmth.examcloud.common.uac.annotation.Uac;
import cn.com.qmth.examcloud.common.uac.enums.RoleMeta;
import cn.com.qmth.examcloud.common.uac.enums.UacPolicy;
import io.swagger.annotations.ApiOperation;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;

import com.qmth.cqb.paper.dao.ExportServiceManageRepo;
import com.qmth.cqb.paper.model.ExportServiceManage;
import com.qmth.cqb.paper.service.export.ExportPaperAbstractService;
import com.qmth.cqb.utils.SpringContextUtils;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * Created by songyue on 17/3/30.
 */
@Controller
@RequestMapping("${api_cqb}/")
public class ExportPaperController {

    protected static final Logger log = LoggerFactory.getLogger(ExportPaperController.class);
    
    @Autowired
    ExportServiceManageRepo exportServiceManageRepo; 
 
    /**
     * 导出试卷
     * @param id
     * @return
     */
    @ApiOperation(value="导出试卷",notes="导出试卷")
    @Uac(roles={RoleMeta.QUESTION_ADMIN,RoleMeta.SUPER_ADMIN},policy=UacPolicy.IN)
    @GetMapping(value = "/paper/export/{id}")
    public void getPaperById(@PathVariable String id, HttpServletResponse response,HttpServletRequest request){
    	log.info("导出开始");
    	try {
    		ExportServiceManage esm = exportServiceManageRepo.findByOrgName("陕西师范大学");
        	ExportPaperAbstractService exportPaperAbstractService = (ExportPaperAbstractService) SpringContextUtils.getBeanById(esm.getExportServiceName());
			exportPaperAbstractService.downloadPaper(id, response);
		} catch (Exception e) {
			e.printStackTrace();
	        log.error("导出异常:"+e.getMessage());
		}
    	log.info("导出结束");
    }

}
